//-----------------------------------------------------------------------
// <copyright file="InviteAddressResultCode.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents result codes for <see cref="Conversation.InviteAddress"/>.
    /// </summary>
    public enum InviteAddressResultCode
    {
        /// <summary>
        /// Indicates <see cref="Conversation.InviteAddress"/> completed successfully.
        /// </summary>
        Success = 0,

        /// <summary>
        /// Indicates <see cref="Conversation.InviteAddress"/> did not complete succesfully.
        /// </summary>
        Failure = 1,
    }
}
