//-----------------------------------------------------------------------
// <copyright file="SignInResultCode.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents result codes for <see cref="User.SignIn"/>.
    /// </summary>
    public enum SignInResultCode
    {
        /// <summary>
        /// Indicates <see cref="User.SignIn"/> completed successfully.
        /// </summary>
        Success = 0,

        /// <summary>
        /// Indicates <see cref="User.SignIn"/> failed.
        /// </summary>
        Failure = 1,
    }
}
