//-----------------------------------------------------------------------
// <copyright file="MailFolder.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents a Hotmail folder.
    /// </summary>
    public enum MailFolder
    {
        /// <summary>
        ///     The inbox
        /// </summary>
        Inbox = 0,

        /// <summary>
        ///     The deleted items folder
        /// </summary>
        Deleted = 1,

        /// <summary>
        ///     The junk mail folder
        /// </summary>
        Junk = 2,

        /// <summary>
        ///     The sent items folder
        /// </summary>
        Sent = 3,

        /// <summary>
        ///     The drafts folder
        /// </summary>
        Drafts = 4,

        /// <summary>
        ///     A different folder
        /// </summary>
        Other = 5,
    }
}