//-----------------------------------------------------------------------
// <copyright file="PrivacyMode.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents the User's desired privacy mode.
    /// </summary>
    public enum PrivacyMode
    {
        /// <summary>
        /// Indicates that addresses should be allowed by default.
        /// </summary>
        AllowByDefault = 0,

        /// <summary>
        /// Indicates that addresses should be blocked by default.
        /// </summary>
        BlockByDefault = 1,
    }
}