//-----------------------------------------------------------------------
// <copyright file="SignOutResultCode.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents result codes for <see cref="User.SignOut"/>.
    /// </summary>
    public enum SignOutResultCode
    {
        /// <summary>
        /// Indicates <see cref="User.SignOut"/> completed successfully.
        /// </summary>
        Success = 0,

        /// <summary>
        /// Indicates <see cref="User.SignOut"/> failed.
        /// </summary>
        Failure = 1,
    }
}
